# This awk script processes the .idx file produced by LaTeXing the
# AXIOM User Guide so that it can be processed by makeindex.

# every line
        {
        gsub(/\\begingroup /,"{")
        gsub(/\\endgroup/,"}")
        gsub(/  }/,"}")
        gsub(/ }/,"}")
        gsub(/\\string/,"")
        gsub(/{}/,"")
        gsub(/{\\tt "}/,"{\\tt \"\"}")
        gsub(/{\\tt !}/,"{\\tt \"!}")
        gsub(/{\\tt @}/,"{\\tt \"@}")
        gsub(/{\\tt \|}/,"{\\tt \"|}")
        #
        gsub(/ @ /,"@")
        gsub(/@ /,"@")
        gsub(/ @/,"@")
        #
        sub(/indexentry{category /,"indexentry{category!")
        sub(/indexentry{constant /,"indexentry{constant!")
        sub(/indexentry{default /,"indexentry{default!")
        sub(/indexentry{domain /,"indexentry{domain!")
        sub(/indexentry{dynamic /,"indexentry{dynamic!")
        sub(/indexentry{free /,"indexentry{free!")
        sub(/indexentry{function /,"indexentry{function!")
        sub(/indexentry{garbage /,"indexentry{garbage!")
        sub(/indexentry{local /,"indexentry{local!")
        sub(/indexentry{loop /,"indexentry{loop!")
        sub(/indexentry{object /,"indexentry{object!")
        sub(/indexentry{package /,"indexentry{package!")
        sub(/indexentry{parameterized /,"indexentry{parameterized!")
        sub(/indexentry{pattern /,"indexentry{pattern!")
        sub(/indexentry{small /,"indexentry{small!")
        sub(/indexentry{pointer /,"indexentry{pointer!")
        sub(/indexentry{run-time /,"indexentry{run-time!")
        sub(/indexentry{such that /,"indexentry{such that!")
        sub(/indexentry{type /,"indexentry{type!")
        sub(/indexentry{user /,"indexentry{user!")
        #
        sub(/indexentry{"/,"indexentry{\"\"")
        sub(/indexentry{\|/,"indexentry{\"|")
        sub(/indexentry{@/,"indexentry{\"@")
        sub(/indexentry{!/,"indexentry{\"!")
        #
        #
        sub(/indexentry{Join}/,"indexentry{Join@{\\tt Join}}")
        sub(/indexentry{Rep}/,"indexentry{Rep@{\\tt Rep}}")
        print
        next
}

